import type { Rspack } from '@rsbuild/core';
import type { CheckSyntaxExclude, CheckSyntaxOptions, ECMASyntaxError, EcmaVersion } from './types.js';
type Compiler = Rspack.Compiler;
export declare const JS_REGEX: RegExp;
export declare class CheckSyntaxPlugin {
    errors: ECMASyntaxError[];
    ecmaVersion: EcmaVersion;
    targets: string[];
    rootPath: string;
    exclude: CheckSyntaxExclude | undefined;
    excludeOutput: CheckSyntaxExclude | undefined;
    constructor(options: CheckSyntaxOptions & Required<Pick<CheckSyntaxOptions, 'targets'>> & {
        rootPath: string;
    });
    apply(compiler: Compiler): void;
    private check;
    private tryParse;
}
export {};
